Subject: Re: FVWM: FvwmButton bugs ?

From: [email-masked] (Albrecht Kadlec)
Date: Wed, 8 May 96 17:55:46 +0200

>>>>> Albrecht Kadlec writes:

replying to my own post:

A> some things I found while upgrading to 2.0.42 (finally found the time)

A> I accidently wrote 
A> *FvwmButtonx (Swallow xclock "Exec xclock -geometry -1500-1500 -bg Grey -fg Black -padding 0")
A> and got a button with an x as the title, no icon, and every time I click,
A> fvwm outputs the errormessage: 
A> [FVWM][executeModule]: <<ERROR>> No such module /net/vta_host/home/vta_host/albr
A> echt/bin xclock

still applies

A> second: 
A> I had absolutely no luck swallowing "FvwmButton" in "FvwmButton FvwmSwallow"
A> 	*FvwmSwallow(4x2, Swallow FvwmButtons FvwmButtons)

A> always crashes with obscure X errors about reparenting:

A> FvwmSwallow: Cause of next X Error.
A> X Error of failed request:  BadWindow (invalid Window parameter)
A>   Major opcode of failed request:  25 (X_SendEvent)
A>   Minor opcode of failed request:  0
A>   Resource id in failed request:  0x300003
A>   Serial number of failed request:  449
A>   Current serial number in output stream:  451
A> FvwmSwallow: Cause of next X Error.
A> X Error of failed request:  BadMatch (invalid parameter attributes)
A>   Major opcode of failed request:  7 (X_ReparentWindow)
A>   Minor opcode of failed request:  0
A>   Resource id in failed request:  0x300002
A>   Serial number of failed request:  105
A>   Current serial number in output stream:  108

A> I now use a container, but I didn't want to convert all my config at once.

also still applies.

A> also when I use
A> 	*FvwmButtons (Icon toolbox.xpm,	Action "Menu Tools	Exec xlock -allowroot") 

A> I can't ever get the display to lock

I think I should've been more clear:
the second parameter for a "menu" action (should be doubleclick action)
doesn't work in FvwmButtons.

A> while
A> 	AddToFunc "DoorQuit"
A> 	+	"Motion"	Exec exec @@
A> 	+	"Click"		Quit

A> 	*FvwmButtons (Icon Door.bmp,	Action "Function DoorQuit")
A> does work -double click kicks fvwm out of it's shoes :-)

(well this is an undocumented "Feature" I keep using since 1.24 :-)

A> And last but not least, I can't really say that NoKill/UseOld are working,
A> since when I restart fvwm2, the swallowed programs are still
A> killed/restarted. one example, to make sure it's not a
A> typo/misunderstanding: 

A> *FvwmButtons (Swallow (NoKill, UseOld) xbiff "Exec xbiff -geometry -1500-1500 -bg Grey -fg Black") 

typo: I use (UseOld, NoClose, Respawn) now and it still keeps creating new
processes. (the old ones are still around in ps, but don't have any visible
window (geom -1500-1500  I guess :-( )
so I end up with tons of xbiffs.

A> regards,
A> albrecht
-- 
Behind every good woman is a fish on a bike.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].